Skip to main content
GET
/
cloud
/
v1
/
users
/
assignments
List role assignments
curl --request GET \
  --url https://api.gcore.com/cloud/v1/users/assignments \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "assigned_by": 123,
      "client_id": 123,
      "created_at": "2019-06-25T08:42:42Z",
      "id": 12,
      "project_id": 123,
      "updated_at": "2019-06-25T08:42:42Z",
      "user_id": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

limit
integer
default:1000

Limit the number of returned items. Falls back to default of 1000 if not specified. Limited by max limit value of 1000

Required range: x <= 1000
Example:

100

offset
integer
default:0

Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

project_id
integer

Project ID

Example:

123

user_id
integer

User ID for filtering

Example:

123

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
Role assignments schema · object[]
required

Objects